summaryrefslogtreecommitdiffstats
path: root/libraries/lapack-atlas/lapack-atlas.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/lapack-atlas/lapack-atlas.SlackBuild')
-rw-r--r--libraries/lapack-atlas/lapack-atlas.SlackBuild28
1 files changed, 14 insertions, 14 deletions
diff --git a/libraries/lapack-atlas/lapack-atlas.SlackBuild b/libraries/lapack-atlas/lapack-atlas.SlackBuild
index 4659a7f7e6..67fcc9df01 100644
--- a/libraries/lapack-atlas/lapack-atlas.SlackBuild
+++ b/libraries/lapack-atlas/lapack-atlas.SlackBuild
@@ -40,7 +40,7 @@ elif [ "$ARCH" = "x86_64" ]; then
LIBDIRSUFFIX="64"
fi
-set -e # Exit on most errors
+set -e
# This is the system destination directory. When installing the
# package produced by this script, LAPACK's files will be written to
@@ -84,13 +84,13 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-# Within Makefile it is asumed that lapack_testing.py is executable.
+# Within Makefile it is asumed that lapack_testing.py is executable.
# This is not the case, thus if TEST_LAPACK is enabled, make fails.
chmod 755 ./lapack_testing.py
-# If you say "no" here, the script will NOT try to link LAPACK against
-# the multi-threaded ATLAS libraries. If you leave it to "yes" and the
-# multi-threaded ATLAS libraries are not available, the script will default
+# If you say "no" here, the script will NOT try to link LAPACK against
+# the multi-threaded ATLAS libraries. If you leave it to "yes" and the
+# multi-threaded ATLAS libraries are not available, the script will default
# to linking against the single threaded ones and raise a warning.
USE_ATLAS_PT_LIBS="${USE_ATLAS_PT_LIBS:-yes}"
USE_ATLAS_PT_LIBS=$(echo "$USE_ATLAS_PT_LIBS"|cut -b 1|tr a-z A-Z) # Make Y or N out of yes, Yes, No, no, etc.
@@ -100,7 +100,7 @@ TEST_LAPACK="${TEST_LAPACK:-no}"
# Make Y or N out of yes, Yes, No, no, etc.
TEST_LAPACK=$(echo "$TEST_LAPACK"|cut -b 1|tr a-z A-Z)
-# Search for the latest installed atlas package
+# Search for the latest installed atlas package
# (not necessarily the one with the latest version).
# For this to work the system clock should also work properly.
# NOTE: The echo statement below is for getting around "set -e" this time.
@@ -111,8 +111,8 @@ ATLAS_PKG="$(ls -1 -dc /var/log/packages/atlas* 2>/dev/null | \
[ ! "$ATLAS_PKG" ] && \
echo "ERROR: Couldn't find the ATLAS package." && exit 1
-# Pick up the SETTINGS file containing the appropriate flags, use again the
-# echo trick against "set -e". You may also provide your own path to a file
+# Pick up the SETTINGS file containing the appropriate flags, use again the
+# echo trick against "set -e". You may also provide your own path to a file
# containing apropriate settings, see the README for details
ATLAS_SETTINGS_FILE=${ATLAS_SETTINGS_FILE:-"/$(grep SETTINGS "$ATLAS_PKG" || echo -n)"}
@@ -137,7 +137,7 @@ echo "ERROR: No location available for the file with ATLAS settings." && exit 1
# Otherwise, please read LAPACK's make.inc for more informations.
LAPACK_TIMER="${LAPACK_TIMER:-INT_ETIME}"
-# Looking for the libraries provided by ATLAS. If one asks for threaded
+# Looking for the libraries provided by ATLAS. If one asks for threaded
# libraries and these are available we will try to link against them.
if [ "$USE_ATLAS_PT_LIBS" = "Y" ]; then
# Set proper library names for the threaded ATLAS libs.
@@ -145,9 +145,9 @@ if [ "$USE_ATLAS_PT_LIBS" = "Y" ]; then
ATLAS_CBLASLIB="libptcblas.a"
# Find out the full paths to the ATLAS libraries
ATLAS_BLASLIB_P="/$(grep "$ATLAS_BLASLIB" "$ATLAS_PKG" || echo -n)"
- # We need this to finally link against the mixed LAPACK library, resulting
+ # We need this to finally link against the mixed LAPACK library, resulting
# from the full LAPACK and the optimized LAPACK routines provided by ATLAS.
- ATLAS_CBLASLIB_P="/$(grep "$ATLAS_CBLASLIB" "$ATLAS_PKG" || echo -n)"
+ ATLAS_CBLASLIB_P="/$(grep "$ATLAS_CBLASLIB" "$ATLAS_PKG" || echo -n)"
if [ "${ATLAS_BLASLIB_P}1" = "/1" -o "${ATLAS_CBLASLIB_P}1" = "/1" ]; then
# Oops! The threaded libraries are not available!
echo ""
@@ -178,7 +178,7 @@ ATLAS_LAPACK="/$(grep liblapack.a "$ATLAS_PKG" || echo -n)"
{ echo "ERROR: ATLAS libraries missing from the Slackware ATLAS package log." && exit 1; }
# Check that the library files are there.
-# NOTE: After the installation of this package, the incomplete LAPACK library
+# NOTE: After the installation of this package, the incomplete LAPACK library
# installed by ATLAS gets substituted by the complete one provided by us
[ -f "$ATLAS_BLASLIB" -a -r "$ATLAS_BLASLIB" ] || \
{ echo "ERROR: $ATLAS_BLASLIB is not a regular file or is not readable by us." && exit 1; }
@@ -221,7 +221,7 @@ rm -rf merging_dir
if [ "$TEST_LAPACK" = "Y" ]; then
# We want to test LAPACK, thus we have to build tmglib and then run the tests
make OPTS="$LAPACK_OPTS" NOOPT="$LAPACK_NOOPT" tmglib
-
+
# Update make.inc taking into account that the LAPACK library has
# been merged with the optimized LAPACK routines provided by ATLAS.
ATLAS_LIBS="${ATLAS_BLASLIB} ${ATLAS_CBLASLIB} ${ATLAS_EXTRA_LIB}"
@@ -243,7 +243,7 @@ if [ "$TEST_LAPACK" = "Y" ]; then
TEST_OUTPUT="TEST.RESULTS.tgz"
tar czf "$TEST_OUTPUT" TESTING/*.out
fi
-
+
#LAPACK only.
( mkdir "shared_$SRCNAM"
cd "shared_$SRCNAM"